| DocBook: The Definitive Guide 2.0.17 (Alpha)

# keycombo

$Revision$

$Date$

keycombo — A combination of input actions

## Synopsis

### Content Model

    keycombo ::=
    ((keycap|keycombo|keysym|mousebutton)+)

### Attributes

Common attributes

Name | Type | Default
otheraction | CDATA | None

moreinfo

Enumeration:
none
refentry

"none"

action

Enumeration:
click
double-click
other
press
seq
simul

None

## Description

For actions that require multiple keystrokes, mouse actions, or other physical input selections, the `KeyCombo` element provides a wrapper for the entire set of events.

### Processing expectations

Formatted inline. The `MoreInfo` attribute can help generate a link or query to retrieve additional information.

### Parents

These elements contain keycombo: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `code`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `firstterm`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `keycombo`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `shortcut`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `td`, `term`, `termdef`, `tertiary`, `tertiaryie`, `th`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in keycombo: `keycap`, `keycombo`, `keysym`, `mousebutton`.

## Attributes

action

  `Action` identifies the nature of the action taken. If `KeyCombo` contains more than one action element, `Simul` is the default value for `Action`, otherwise there is no default.

  If `Other` is specified, `OtherAction` should be used to identify the nature of the action.

moreinfo

  If `MoreInfo` is set to `RefEntry`, it implies that a `RefEntry` exists which further describes the `Keycombo`.

otheraction

  `OtherAction` should be used when `Action` is set to `Other`. It identifes the nature of the action in some application-specific way.

## See Also

`accel`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `keycap`, `keycode`, `keysym`, `menuchoice`, `mousebutton`, `shortcut`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    To move a highlighted region, use
    <keycombo action='simul'>
      <keycap>Shift</keycap>
      <mousebutton>Button1</mousebutton>
    </keycombo>
    and drag the text to the new location.
    </para>

To move a highlighted region, use Shift+Button1 and drag the text to the new location.

For additional examples, see also `guimenu`, `guimenuitem`, `menuchoice`, `shortcut`.

keycode |  | keysym

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.